<?php
global $resto_sections;
global $resto_settings_controls;
global $resto_customizer_defaults;

/*defaults values*/
$resto_customizer_defaults['resto-site-identity-color'] = '#fff';
$resto_customizer_defaults['resto-alternate-bg-color'] = '#f5f5f5';
$resto_customizer_defaults['resto-footer-background-color'] = '#323044';
$resto_customizer_defaults['resto-bredcrumb-background-color'] = '#333333';
$resto_customizer_defaults['resto-menu-color'] = '#fff';
$resto_customizer_defaults['resto-primary-color'] = '#ffa800';
$resto_customizer_defaults['resto-primary-hover-color'] = '#ffa800';
$resto_customizer_defaults['resto-banner-text-color'] = '#fff';
$resto_customizer_defaults['resto-title-color'] = '#000';
$resto_customizer_defaults['resto-body-text-color'] = '#313131';
$resto_customizer_defaults['resto-link-color'] = '#ffa800';
$resto_customizer_defaults['resto-button-backgorund-color'] = '#ffa800';
$resto_customizer_defaults['resto-button-text-color'] = '#000';


$resto_customizer_defaults['resto-color-reset'] = '';

/**
 * Reset color settings to default
 *
 * @since resto 1.0
 */
if ( ! function_exists( 'resto_color_reset' ) ) :
    function resto_color_reset( ) {
        
            global $resto_customizer_saved_values;
           $resto_customizer_saved_values = resto_get_all_options();
        if ( $resto_customizer_saved_values['resto-color-reset'] == 1 ) {
            global $resto_customizer_defaults;
            global $resto_customizer_saved_values;
            /*getting fields*/

            /*setting fields */
            $resto_customizer_saved_values['resto-site-identity-color'] = $resto_customizer_defaults['resto-site-identity-color'] ;
            $resto_customizer_saved_values['resto-alternate-bg-color'] = $resto_customizer_defaults['resto-alternate-bg-color'] ;
            $resto_customizer_saved_values['resto-footer-background-color'] = $resto_customizer_defaults['resto-footer-background-color'] ;
            $resto_customizer_saved_values['resto-bredcrumb-background-color'] = $resto_customizer_defaults['resto-bredcrumb-background-color'] ;
            $resto_customizer_saved_values['resto-menu-color'] = $resto_customizer_defaults['resto-menu-color'] ;
            $resto_customizer_saved_values['resto-primary-color'] = $resto_customizer_defaults['resto-primary-color'] ;
            $resto_customizer_saved_values['resto-primary-hover-color'] = $resto_customizer_defaults['resto-primary-hover-color'] ;
            $resto_customizer_saved_values['resto-banner-text-color'] = $resto_customizer_defaults['resto-banner-text-color'] ;
            $resto_customizer_saved_values['resto-title-color'] = $resto_customizer_defaults['resto-title-color'] ;
            $resto_customizer_saved_values['resto-body-text-color'] = $resto_customizer_defaults['resto-body-text-color'] ;
            $resto_customizer_saved_values['resto-link-color'] = $resto_customizer_defaults['resto-link-color'] ;
            $resto_customizer_saved_values['resto-button-backgorund-color'] = $resto_customizer_defaults['resto-button-backgorund-color'] ;
            $resto_customizer_saved_values['resto-button-text-color'] = $resto_customizer_defaults['resto-button-text-color'] ;

            remove_theme_mod( 'background_color' );
            $resto_customizer_saved_values['resto-color-reset'] = '';
            /*resetting fields*/
            resto_reset_options( $resto_customizer_saved_values );
        }
        else {
            return '';
        }
    }
endif;
add_action( 'customize_save_after','resto_color_reset' );

$resto_settings_controls['resto-alternate-bg-color'] =
    array(
        'setting' =>     array(
            'default'              => $resto_customizer_defaults['resto-alternate-bg-color'],
        ),
        'control' => array(
            'label'                 =>  __( 'Alternate Background Color', 'resto' ),
            'description'           =>  __( 'change the alternate background color', 'resto' ),
            'section'               => 'colors',
            'type'                  => 'color',
            'priority'              => 10,
            'active_callback'       => ''
        )
    );

$resto_settings_controls['resto-footer-background-color'] =
    array(
        'setting' =>     array(
            'default'              => $resto_customizer_defaults['resto-footer-background-color'],
        ),
        'control' => array(
            'label'                 =>  __( 'Footer Background Color', 'resto' ),
            'description'           =>  __( 'change the background color of Footer', 'resto' ),
            'section'               => 'colors',
            'type'                  => 'color',
            'priority'              => 10,
            'active_callback'       => ''
        )
    );

$resto_settings_controls['resto-bredcrumb-background-color'] =
    array(
        'setting' =>     array(
            'default'              => $resto_customizer_defaults['resto-bredcrumb-background-color'],
        ),
        'control' => array(
            'label'                 =>  __( 'Breadcrumb Background Color', 'resto' ),
            'description'           =>  __( 'change the background color of Breadcrumb', 'resto' ),
            'section'               => 'colors',
            'type'                  => 'color',
            'priority'              => 15,
            'active_callback'       => ''
        )
    );

$resto_settings_controls['resto-site-identity-color'] =
    array(
        'setting' =>     array(
            'default'              => $resto_customizer_defaults['resto-site-identity-color'],
        ),
        'control' => array(
            'label'                 =>  __( 'Site Identity Color', 'resto' ),
            'description'           =>  __( 'Site title and tagline color', 'resto' ),
            'section'               => 'colors',
            'type'                  => 'color',
            'priority'              => 20,
            'active_callback'       => ''
        )
    );

$resto_settings_controls['resto-menu-color'] =
    array(
        'setting' =>     array(
            'default'              => $resto_customizer_defaults['resto-menu-color'],
        ),
        'control' => array(
            'label'                 =>  __( 'Menu Color', 'resto' ),
            'description'           =>  __( 'Change the color of menu', 'resto' ),
            'section'               => 'colors',
            'type'                  => 'color',
            'priority'              => 25,
            'active_callback'       => ''
        )
    );

$resto_settings_controls['resto-primary-color'] =
    array(
        'setting' =>     array(
            'default'              => $resto_customizer_defaults['resto-primary-color'],
        ),
        'control' => array(
            'label'                 =>  __( 'Primary Color', 'resto' ),
            'section'               => 'colors',
            'type'                  => 'color',
            'priority'              => 30,
            'active_callback'       => ''
        )
    );

$resto_settings_controls['resto-primary-hover-color'] =
    array(
        'setting' =>     array(
            'default'              => $resto_customizer_defaults['resto-primary-hover-color'],
        ),
        'control' => array(
            'label'                 =>  __( 'Primary Hover Color', 'resto' ),
            'section'               => 'colors',
            'type'                  => 'color',
            'priority'              => 35,
            'active_callback'       => ''
        )
    );

$resto_settings_controls['resto-banner-text-color'] =
    array(
        'setting' =>     array(
            'default'              => $resto_customizer_defaults['resto-banner-text-color'],
        ),
        'control' => array(
            'label'                 =>  __( 'Banner Text Color', 'resto' ),
            'description'           =>  __( 'Change the color of text over the banner image', 'resto' ),
            'section'               => 'colors',
            'type'                  => 'color',
            'priority'              => 40,
            'active_callback'       => ''
        )
    );

$resto_settings_controls['resto-title-color'] =
    array(
        'setting' =>     array(
            'default'              => $resto_customizer_defaults['resto-title-color'],
        ),
        'control' => array(
            'label'                 =>  __( 'Section Title Color', 'resto' ),
            'description'           =>  __( 'Change the color of title text, will not effect the banner title', 'resto' ),
            'section'               => 'colors',
            'type'                  => 'color',
            'priority'              => 45,
            'active_callback'       => ''
        )
    );

$resto_settings_controls['resto-body-text-color'] =
    array(
        'setting' =>     array(
            'default'              => $resto_customizer_defaults['resto-body-text-color'],
        ),
        'control' => array(
            'label'                 =>  __( 'Body Text Color', 'resto' ),
            'section'               => 'colors',
            'type'                  => 'color',
            'priority'              => 50,
            'active_callback'       => ''
        )
    );

$resto_settings_controls['resto-link-color'] =
    array(
        'setting' =>     array(
            'default'              => $resto_customizer_defaults['resto-link-color'],
        ),
        'control' => array(
            'label'                 =>  __( 'Link Color', 'resto' ),
            'section'               => 'colors',
            'type'                  => 'color',
            'priority'              => 55,
            'active_callback'       => ''
        )
    );

$resto_settings_controls['resto-button-backgorund-color'] =
    array(
        'setting' =>     array(
            'default'              => $resto_customizer_defaults['resto-button-backgorund-color'],
        ),
        'control' => array(
            'label'                 =>  __( 'Button Backgorund Color', 'resto' ),
            'section'               => 'colors',
            'type'                  => 'color',
            'priority'              => 60,
            'active_callback'       => ''
        )
    );

$resto_settings_controls['resto-button-text-color'] =
    array(
        'setting' =>     array(
            'default'              => $resto_customizer_defaults['resto-button-text-color'],
        ),
        'control' => array(
            'label'                 =>  __( 'Button Text Color', 'resto' ),
            'section'               => 'colors',
            'type'                  => 'color',
            'priority'              => 70,
            'active_callback'       => ''
        )
    );

$resto_settings_controls['resto-color-reset'] =
    array(
        'setting' =>     array(
            'default'              => $resto_customizer_defaults['resto-color-reset'],
            //'sanitize_callback'    => 'evision_customizer_sanitize_checkbox',
            'transport'            => 'postmessage',
        ),
        'control' => array(
            'label'                 =>  __( 'Reset', 'resto' ),
            'description'           =>  __( 'Caution: Reset all color settings above to default. Refresh the page after saving to view the effects', 'resto' ),
            'section'               => 'colors',
            'type'                  => 'checkbox',
            'priority'              => 220,
            'active_callback'       => ''
        )
    );