<?php
global $resto_sections;
global $resto_settings_controls;
global $resto_repeated_settings_controls;
global $resto_customizer_defaults;

/*defaults values*/
$resto_customizer_defaults['resto-default-banner-image'] = '';
$resto_customizer_defaults['resto-default-layout'] = 'right-sidebar';
$resto_customizer_defaults['resto-single-post-image-align'] = 'full';
$resto_customizer_defaults['resto-excerpt-length'] = '50';
$resto_customizer_defaults['resto-archive-layout'] = 'thumbnail-and-excerpt';
$resto_customizer_defaults['resto-archive-image-align'] = 'full';

$resto_sections['resto-layout-options'] =
    array(
        'priority'       => 20,
        'title'          => __( 'Layout Options', 'resto' ),
        'panel'          => 'resto-theme-options',
    );

/*layout-options option responsive lodader start*/
/*creating setting control for resto-layout-options start*/
$resto_settings_controls['resto-default-banner-image'] =
    array(
        'setting' =>     array(
            'default'              => $resto_customizer_defaults['resto-default-banner-image'],
        ),
        'control' => array(
            'label'                 =>  __( 'Default Banner Image', 'resto' ),
            'description'           =>  __( 'Please note that if you remove this image default banner image will appear', 'resto' ),
            'section'               => 'resto-layout-options',
            'type'                  => 'image',
            'priority'              => 20,
        )
    );

$resto_settings_controls['resto-default-layout'] =
    array(
        'setting' =>     array(
            'default'              => $resto_customizer_defaults['resto-default-layout'],
        ),
        'control' => array(
            'label'                 =>  __( 'Default Layout', 'resto' ),
            'description'           =>  __( 'Please note that this section can be overridden for individual page/posts', 'resto' ),
            'section'               => 'resto-layout-options',
            'type'                  => 'select',
            'choices'               => array(
                'right-sidebar' => __( 'Content - Primary Sidebar', 'resto' ),
                'left-sidebar' => __( 'Primary Sidebar - Content', 'resto' ),
                'no-sidebar' => __( 'No Sidebar', 'resto' )
            ),
            'priority'              => 10,
            'active_callback'       => ''
        )
    );


$resto_settings_controls['resto-single-post-image-align'] =
    array(
        'setting' =>     array(
            'default'              => $resto_customizer_defaults['resto-single-post-image-align'],
        ),
        'control' => array(
            'label'                 =>  __( 'Alignment Of Image In Single Post/Page', 'resto' ),
            'section'               => 'resto-layout-options',
            'type'                  => 'select',
            'choices'               => array(
                'full' => __( 'Full', 'resto' ),
                'right' => __( 'Right', 'resto' ),
                'left' => __( 'Left', 'resto' ),
                'no-image' => __( 'No image', 'resto' )
            ),
            'priority'              => 40,
            'description'           =>  __( 'Please note that this setting can be override from individual post/page', 'resto' ),
        )
    );

    $resto_settings_controls['resto-excerpt-length'] =
        array(
            'setting' =>     array(
                'default'              => $resto_customizer_defaults['resto-excerpt-length'],
            ),
            'control' => array(
                'label'                 =>  __( 'Excerpt Length (in words)', 'resto' ),
                'section'               => 'resto-layout-options',
                'type'                  => 'number',
                'priority'              => 40,
            )
        );

        $resto_settings_controls['resto-archive-layout'] =
            array(
                'setting' =>     array(
                    'default'              => $resto_customizer_defaults['resto-archive-layout'],
                ),
                'control' => array(
                    'label'                 =>  __( 'Archive Layout', 'resto' ),
                    'section'               => 'resto-layout-options',
                    'type'                  => 'select',
                    'choices'               => array(
                        'excerpt-only' => __( 'Excerpt Only', 'resto' ),
                        'thumbnail-and-excerpt' => __( 'Thumbnail and Excerpt', 'resto' ),
                        'full-post' => __( 'Full Post', 'resto' ),
                        'thumbnail-and-full-post' => __( 'Thumbnail and Full Post', 'resto' ),
                    ),
                    'priority'              => 55,
                )
            );

        $resto_settings_controls['resto-archive-image-align'] =
            array(
                'setting' =>     array(
                    'default'              => $resto_customizer_defaults['resto-archive-image-align'],
                ),
                'control' => array(
                    'label'                 =>  __( 'Archive Image Alignment', 'resto' ),
                    'section'               => 'resto-layout-options',
                    'type'                  => 'select',
                    'choices'               => array(
                        'full' => __( 'Full', 'resto' ),
                        'right' => __( 'Right', 'resto' ),
                        'left' => __( 'Left', 'resto' )
                    ),
                    'priority'              => 60,
                    'description'              => __('This option will work only if you have selected "Thumbnail and Excerpt" or "Thumbnail and Full Post" in Archive Layout options','resto'),
                )
            );